Subject: Re: 20040422 snapshot and filenames ending with . (was: Re: errors using DB_File perl module under 20040422 snapshot)
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Wed, 28 Apr 2004 12:02:21 -0700

On Tue, Apr 27, 2004 at 02:45:38AM -0700, Yitzchak Scott-Thoennes wrote:
> you can create files ending with a . which are
> not stat'able unless another file exists with the same name without
> the dot. (and even then rm on the dotted name removes the non-dotted
> file):
> 
> $ cat >foo.
> bar
> ^D
> $ cat foo
> cat: foo: No such file or directory
> 
> $ cat foo.
> bar
> 
> $ ls -l foo.
> ls: foo.: No such file or directory
> 
> $ ls -l foo
> ls: foo: No such file or directory
> 
> $ cat>foo
> baz
> ^D
> $ ls -l foo.
> -rw-r--r--    1 sthoenna None            5 Apr 27 01:43 foo.
> 
> $ ls -l foo
> -rw-r--r--    1 sthoenna None            5 Apr 27 01:44 foo
> $ cat foo.
> bar
> 
> $ cat foo
> baz
> 
> $ rm foo.
> 
> $ ls -l foo*
> ls: foo.: No such file or directory
> 
> $ cmd /c 'dir foo*'
>  Volume in drive C has no label.
>  Volume Serial Number is 7422-45EE
> 
>  Directory of C:\cygwin\home\sthoenna
> 
> 04/27/2004  01:43 AM                 5 foo.
>                1 File(s)              5 bytes
>                0 Dir(s)  13,487,009,792 bytes free

Would it help to try multiple snapshots and see where this broke?  I
already had the 20040416 and 20040420 ones and they both fail (but
1.5.9 is ok)?  I was really hoping for a "already fixed in CVS"
response :), is there anything I can do to help track this down?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/